Bug 13492 - ls seems to kill ftp connection
ls seems to kill ftp connection
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-07-05 07:39 EDT by Padraig Sweeney
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-05 07:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Padraig Sweeney 2000-07-05 07:39:05 EDT
I'm new to this system so please excuse any stupid statements.

I had a look to see if there was anything posted against wu-ftpd but
couldnt find anything.
I just installed wu-ftpd-2.6.0-14.6x.i386 and found that whenever I used
the "ls" command the ftp connection would hang for a while then terminate
(probably timing out). If I used the "dir" command on the same directory it
would return the expected results.
Since I need ftp access I reverted to version 2.6.0-3 and the problems were
My machine is running standard Redhat 6.2 except for the kernel which is

- Padraig.
Comment 1 Bernhard Rosenkraenzer 2000-07-10 16:18:20 EDT
The ls stuff hasn't changed at all. Check the ~ftp/bin/ls binary, possibly
reinstall the anonftp package.
Comment 2 Gilbert E. Detillieux 2000-07-17 18:15:00 EDT
The "ls stuff" has indeed changed, although perhaps inadvertently, when the
wu-ftpd update packages were issued.  If you look in the spec file, you'll find
the following...

%configure --enable-quota --enable-pam --disable-rfc931 --enable-ratios \
        --enable-passwd --enable-ls

Note that the --enable-ls option is included.  This should not be there, as the
internal ls feature is still experimental, and apparently still contains memory
leaks which are potentially exploitable.

Note You need to log in before you can comment on or make changes to this bug.